#include <stdio.h>
#include <stdlib.h>
int br_cif (int a)
{
    int i=0;
    while(a/10>0)
    {
        a=a/10;
        i=i+1;
    }
    return i;
}
int prva_cif (int a)
{
    while(a/10>0)
    {
        a=a/10;
    }
    return a;
}
int main()
{
    int b,i,j,n,m,p=1;
    int v;
    scanf("%d",&v);
    b=0;
    while (v>0)
    {
    n=br_cif(v);
    m=prva_cif(v);
    for(i=0;i<n;i++)
    {
        p=p*10;
    }
    switch(m)
    {
    case 1:
        {
            if(n==0)
            {
                v=v-m;
                b=b+1;

            }
            else
            {
                v=v-m*p;
                b=b+1;

            }

        }
        break;
    case 2:
        {
            if(n==0)
            {
                v=v-m;
                b=b+1;

            }
            else
            {
                v=v-m*p;
                b=b+1;
          }
        }
        break;
    case 5:
        {
            if(n==0)
            {
                v=v-m;
                b=b+1;

            }
            else
            {
                v=v-m*p;
                b=b+1;

            }
        }
        break;
    case 3:case 4:
        {
            v=v-2*p;
            b=b+1;

        }
        break;
    case 6:case 7:case 8:case 9:
        {
            v=v-5*p;
            b=b+1;

        }
        break;

    }
p=1;
    }
     printf("%d",b);

    return 0;
}